VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
GlobalParameterState Struct Reference

`#include <note_expression_synth_voice.h>`

## Public Member Functions
tresult | setState (IBStream *stream)
tresult | getState (IBStream *stream)

## Public Attributes
BrownNoise< float > * | noiseBuffer
ParamValue | masterVolume
ParamValue | masterTuning
ParamValue | velToLevel
ParamValue | noiseVolume
ParamValue | sinusVolume
ParamValue | triangleVolume
ParamValue | squareVolume
ParamValue | releaseTime
ParamValue | sinusDetune
ParamValue | triangleSlop
ParamValue | filterFreq
ParamValue | filterQ
ParamValue | freqModDepth
int8 | filterType
int8 | tuningRange
int8 | bypassSNA

## Member Function Documentation

tresult setState | ( | IBStream * | stream | ) |

tresult getState | ( | IBStream * | stream | ) |

## Member Data Documentation

BrownNoise<float>* noiseBuffer

ParamValue masterVolume

ParamValue masterTuning

ParamValue velToLevel

ParamValue noiseVolume

ParamValue sinusVolume

ParamValue triangleVolume

ParamValue squareVolume

ParamValue releaseTime

ParamValue sinusDetune

ParamValue triangleSlop

ParamValue filterFreq

ParamValue filterQ

ParamValue freqModDepth

int8 filterType

int8 tuningRange

int8 bypassSNA

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.